## python-qt4 4.7.2

=== debian/changelog ===
python-qt4 (4.7.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Build against python-sip-dev 4.10.1
    - Update qreal_float_support.diff
    - Drop fix_objdir_dbus_check.diff went to upstream
    - Drop make_bindings_match_qt461.diff went to upstream
    - Don't call dh_installchangelogs otherwise is FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 23 Mar 2010 22:27:32 +0100

python-qt4 (4.7.0-2ubuntu3) lucid; urgency=low

  * Add kubuntu_01_fix_uic.diff to fix the ui compiler by not using deprecate
    interfaces of QString (LP: #514796)

 -- Harald Sitter <apachelogger@ubuntu.com>  Sun, 14 Feb 2010 10:05:40 +0200

python-qt4 (4.7.0-2ubuntu2) lucid; urgency=low

  * Added debian/patches/make_bindings_match_qt461.diff (LP: #514404)
    - This makes the qvectoranimation class and its sip binding match each other
      extactly so that the header can handle changes between qreal on i386 and
      armel 

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 05 Feb 2010 00:55:58 +0000

python-qt4 (4.7.0-2ubuntu1) lucid; urgency=low

  * Sync with Debian
  * Use 4.7.0 for version
  * Build-dep on our version number for sip

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 19:24:16 +0000

python-qt4 (4.7-2) unstable; urgency=low

  * Uploaded new upstream to unstable
    (Closes: #567224, #561878, #564657, 558112)
  * debian/control
    - Bumped standards version to 3.8.4, no changes necessary
  * debian/rules
    - Build rc module for qtdemo.py and don't compress XML files
      (Closes: #558244)
  * debian/README.source
    - Removed, we don't use dpatch anymore
  * debian/patches/{series,htmllinks.diff}
    - Adapted/removed, pyqt4ref.html is not installed into html/
      any more
	
 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 22:48:20 +0100

python-qt4 (4.7-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - Droppend dependency on python-elementtree, package has been removed.
    - Depend on ${sip:Depends} instead of hard-coding sip package version
    - Build-depend on python-sip-dev, sip4 and python-sip4-dev have been
      removed
  * Converted package to source format "3.0 (quilt)"
  * debian/patches/{qreal_float_support,htmllinks}.diff
    - Adapted to quilt
  * debian/patches/debian_configure_changes.diff
    - Partially applied by upstream, only Debian-specific changes remaining
  * debian/rules
    - Remove dpatch handling
    - Add call to dh_sip in binary-common
  * debian/patches/fix_objdir_dbus_check.diff
    - Fix bug in configure that prevented the dbus module from being built

 -- Torsten Marek <shlomme@debian.org>  Wed, 27 Jan 2010 00:00:17 +0100

python-qt4 (4.7.0-0ubuntu1) lucid; urgency=low

  * New upstream release
  * 01_configure.dpatch simplified, upstream now mostly supports
    builddir!=srcdir, dbus still problematic, copy header.h into place
    in debian/rules as well

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Jan 2010 12:43:19 +0000

python-qt4 (4.6.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps
    - Update debian/patches/02_htmllinks.dpatch

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 03 Dec 2009 22:45:28 +0100

python-qt4 (4.6-1) unstable; urgency=low

  [ Torsten Marek ]
  * debian/rules
    - Fix .noinit creation for Python 2.6 by using py_sitename in install-arch-%

  [ Michael Casadevall ]
  * New upstream release
  * debian/control:
    - Updated for new release of sip4

 -- Michael Casadevall <mcasadevall@debian.org>  Wed, 07 Oct 2009 09:53:11 -0400

python-qt4 (4.5.4-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * Acknowledge NMU. (Thanks, Bastian!)
    + Closes: #536900
  * debian/patches/05_license_check.dpatch
    - Dropped, fixed in new upstream release
  * debian/control
    - Added conflict with python-qt4-common to python-qt4 (Closes: #536595)
    - Bumped standards version to 3.8.2, no changes necessary
  * debian/rules
    - Fix install-arch to allow parallel builds (Closes: #539053)
  * debian/compat
    - Raise debhelper compatibility level to 7

  [ Michael Casadevall ]
  * Reinstalled uic/widget-plugins at upstream location (Closes: #541475)
    - Adapted debian/rules and python-qt4.install
    - Thanks Didier Raboud for the patch
  * debian/control:
    - Bumped standards version to 3.8.3
    - Add Break: python-kde4 (<< 4:4.2.4) due to ABI change (Closes: #540057)

 -- Torsten Marek <shlomme@debian.org>  Fri, 28 Aug 2009 20:34:19 +0200

python-qt4 (4.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix license check. (closes: #536900)

 -- Bastian Blank <waldi@debian.org>  Tue, 28 Jul 2009 19:49:44 +0000

python-qt4 (4.5.1-1) unstable; urgency=low

  * New upstream bugfix release
  * debian/control
    - Bump all dependencies on sip to 4.8.1

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:59:11 +0200

python-qt4 (4.5-1) unstable; urgency=low

  * New upstream release (Closes: #486931, #480296, #520188)
  * debian/python-qt4.install
    - Install QtScriptTools module
  * debian/rules
    - Don't try to install missing dbus modules for Python 2.6
    - Share configuration options between debug and normal builds
    - Do not link against libGL.so and libGLU.so
  * debian/patches/01_configure.dpatch
    - Updated for qpy support modules
  * debian/patches/02_htmllinks.dpatch
    - Updated
  * debian/patches/04_widget-plugins_location.dpatch
    - Updated
  * debian/control
    - Build-dependencies and dependencies bumped to sip 4.8
    - Removed python-qt4-common, not needed anymore because
      python-qt4-dev does not ship Python files anymore
  * debian/pyuic4
    - Added simple wrapper script for pyuic4

 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 23:54:50 +0200

python-qt4 (4.4.4-6) unstable; urgency=medium

  * medium urgency as we are fixing a RC bug which makes
    several other packages FTBFS.
  * debian/rules:

