## python-qt4 4.7.3

=== debian/changelog ===
python-qt4 (4.7.3-1+squeeze1) oldstable; urgency=low

  * Add debian/patches/loadUI.diff (Closes: #697348)
    - Code backported from stable (4.9.3) version
    - Thanks to Jerome Kieffer for pointing out the fix and testing it

 -- Scott Kitterman <scott@kitterman.com>  Sat, 31 Aug 2013 16:07:06 -0400

python-qt4 (4.7.3-1) unstable; urgency=low

  * New upstream release
  * Build against Qt 4.6
  * debian/control
    - Bumped build dependency on libqt4-dev to >= 4.6.0

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:10:54 +0200

python-qt4 (4.7.2-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped build dependency on sip to 4.10.1
  * debian/patches/fix_objdir_dbus_check.diff
    - Removed, fixed upstream
  * debian/rules
    - Upstream changelog has been removed, don't try to install it

 -- Torsten Marek <shlomme@debian.org>  Fri, 26 Mar 2010 19:57:18 +0100
