=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-qt4
 Section: python
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Michael Casadevall <mcasadevall@debian.org>, Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 7), python-all-dev, libqt4-dev (>= 4.3.0), python-sip-dev (>= 4.10.1), python-support (>= 0.7.1), python-dbus (>= 0.80.0), python-dbus-dbg, libdbus-1-dev (>= 1.0.2), python-all-dbg, python-sip-dbg, libqt4-opengl-dev, libphonon-dev (>= 4:4.2.0-2)
+Build-Depends: debhelper (>= 7), python-all-dev, libqt4-dev (>= 4.6.0), python-sip-dev (>= 4.10.1), python-support (>= 0.7.1), python-dbus (>= 0.80.0), python-dbus-dbg, libdbus-1-dev (>= 1.0.2), python-all-dbg, python-sip-dbg, libqt4-opengl-dev, libphonon-dev (>= 4:4.2.0-2)
 Build-Conflicts: python-xml, python-xml-dbg
 Standards-Version: 3.8.4
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqt/
