=== debian/rules ===
--- 
+++ 
@@ -174,7 +174,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installman
-#	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs -A NEWS THANKS
 	dh_link
 	dh_sip
